org.wildfly.swarm.config.ejb3

## Enum StrictMaxBeanInstancePool.DeriveSize

- java.lang.Object
- - java.lang.Enum<StrictMaxBeanInstancePool.DeriveSize>
  - - org.wildfly.swarm.config.ejb3.StrictMaxBeanInstancePool.DeriveSize

- All Implemented Interfaces:
    Serializable, Comparable<StrictMaxBeanInstancePool.DeriveSize>
  Enclosing class:
    StrictMaxBeanInstancePool<T extends StrictMaxBeanInstancePool<T>>

      public static enum StrictMaxBeanInstancePool.DeriveSize
      extends Enum<StrictMaxBeanInstancePool.DeriveSize>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FROM_CPU_COUNT`
    `FROM_WORKER_POOLS`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static StrictMaxBeanInstancePool.DeriveSize` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StrictMaxBeanInstancePool.DeriveSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final StrictMaxBeanInstancePool.DeriveSize NONE

    - #### FROM_WORKER_POOLS

          public static final StrictMaxBeanInstancePool.DeriveSize FROM_WORKER_POOLS

    - #### FROM_CPU_COUNT

          public static final StrictMaxBeanInstancePool.DeriveSize FROM_CPU_COUNT

  - ### Method Detail

    - #### values

          public static StrictMaxBeanInstancePool.DeriveSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StrictMaxBeanInstancePool.DeriveSize c : StrictMaxBeanInstancePool.DeriveSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StrictMaxBeanInstancePool.DeriveSize valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<StrictMaxBeanInstancePool.DeriveSize>`

Copyright © 2018 JBoss by Red Hat. All rights reserved.